aboutsummaryrefslogtreecommitdiff
path: root/package/qt5/qt5graphicaleffects/Config.in
blob: f4029e9d9d905fba2256750e1ff2e19a373eb4a0 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
config BR2_PACKAGE_QT5GRAPHICALEFFECTS
	bool "qt5graphicaleffects"
	select BR2_PACKAGE_QT5BASE
	select BR2_PACKAGE_QT5DECLARATIVE
	depends on BR2_PACKAGE_QT5_JSCORE_AVAILABLE
	depends on BR2_PACKAGE_HAS_OPENGL_EGL
	depends on BR2_PACKAGE_HAS_OPENGL_ES
	help
	  Qt is a cross-platform application and UI framework for
	  developers using C++.

	  This package corresponds to the qt5graphicaleffects module.

	  http://qt-project.org

comment "qt5graphicaleffects requires an OpenGL-capable backend"
	depends on (!BR2_PACKAGE_HAS_OPENGL_EGL || !BR2_PACKAGE_HAS_OPENGL_ES) && \
		BR2_PACKAGE_QT5_JSCORE_AVAILABLE